:root {
	--main-hue: 180;
	--secondary-hue: 320;
	--accent-color: hsl(var(--main-hue) 100 60);
	--secondary-color: hsl(var(--secondary-hue) 100 60);
}

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	background-color: hsl(0 0 3);
	font-family: monospace;
	color: var(--accent-color);
	font-size: 28px;
	text-align: center;
}

a {
	text-decoration: none;
	color: inherit;
}

h1 {
	margin-top: 2em;
	margin-bottom: 0.4em;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 12px;
}

nav ul {
	padding: 1rem 0;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 2vh;
}

nav ul li {
	list-style: none;
}

.app-link {
	width: 40%;
	min-width: 300px;
	max-width: 400px;
	margin: 0 auto;
	padding: 8px;
	border: 2px solid var(--accent-color);
	border-radius: 16px;
	background-color: hsl(var(--main-hue) 100 60 / 0.1);

	display: flex;
	align-items: center;
	justify-content: center;
	gap: 12px;
}

.app-link:hover {
	color: white;
	border: 2px solid var(--secondary-color);
	background-color: hsl(var(--secondary-color) 100 60 / 0.1);
}

.icon {
	height: 1em;
	width: 1em;
	fill: none;
	stroke: currentColor;
	stroke-width: 2px;
	stroke-linecap: round;
	stroke-linejoin:round;
}

#version {
	font-size: 0.8em;
	color: hsl(var(--main-hue) 60 30);
}

#mobile {display: none;}

@media screen and (width <= 800px) {

	h1 {margin: 20px 0;}

	nav ul {
		gap: 1em;
	}
	
	.app-link {
		width: 90%;
	}

	#desktop {display: none;}

	#mobile {display: inline-block;}

}